/*
Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
Click nbfs://nbhost/SystemFileSystem/Templates/Other/CascadeStyleSheet.css to edit this template
*/
/* 
    Created on : 10 dic 2025, 15:43:26
    Author     : eleonora.corradini
*/


/* Tr Job Post */

body{
    background-color: var(--main-blu);
}

.job-item {
    background-color: #fff;
}

.job-tab .nav-tabs {
    margin-bottom: 10px;
    border-bottom: 0;
}

.job-tab .nav-tabs>li {
    float: none;
    display: inline;
}

.job-tab .nav-tabs li {
    margin-right: 10px;
}

.job-tab .nav-tabs li:last-child {
    margin-right: 0;
}
.job-tab .nav-tabs li:first-child {
    margin-left: 0;
}

.job-tab .nav-tabs {
    position: relative;
    z-index: 1;
    display: inline-block;
}


.job-tab .nav-tabs:after {
    position: absolute;
    content: "";
    top: 50%;
    left: 0;
    width: 100%;
    height: 1px;
    background-color: #fff;
    z-index: -1;
}

.job-tab .nav-tabs>li button {
    display: inline-block;
    background-color: #fff;
    border: none;
    border-radius: 30px;
    font-size: 14px;
    color: #000;
    padding: 5px 30px;
}

.job-tab .nav-tabs>li>button.active,
.job-tab .nav-tabs>li button.active>:focus,
.job-tab .nav-tabs>li>button.active:hover,
.job-tab .nav-tabs>li>button:hover {
    border: none;
    background-color: var(--main-blu);
    color: #fff;
}

.job-item {
    border-radius: 20px;
    position: relative;
    margin-bottom: 30px;
    z-index: 1;
}

.job-item .btn.btn-primary {
    text-transform: capitalize;
}

.job-item .job-info {
    font-size: 14px;
    color: #000;
    overflow: hidden;
    padding: 30px 25px 20px;
    display: flex;
    flex-direction: column; /* disposizione verticale */
    height: 100%; /* altezza del contenitore */

}

.job-info .job-description{
    flex: 1; /* Prende tutto lo spazio disponibile */
    overflow: scroll;
    margin-bottom: 10px;
    max-height: 270px;
}

.job-info .company-logo {
    margin-bottom: 15px;
}

.job-info .tr-title {
    margin-top: 5px;
    margin-bottom: 5px;
    align-self: flex-start; /* Allinea in alto */
}

.job-info .tr-title span {
    font-size: 14px;
    display: block;
}

.job-info .tr-title h2 {
    color: #000;
    font-size: 1.1rem;
    font-weight: bold;
}

.job-info .tr-title h2:hover {
    color: #008def;
}

.job-info ul {
    margin-bottom: 0px;
}

.job-meta li,
.job-meta li a {
    color: #646464;
}

.job-meta li a:hover {
    color: #008def;
}

.job-meta li {
    font-size: 12px;
    padding-bottom: 10px;
}

.job-meta li span i {
    color: #000;
}

.job-meta li i {
    margin-right: 15px;
}

.job-item .time {
    position: relative;
}

.job-item .time:after {
    position: absolute;
    content: "";
    bottom: 30px;
    left: -50px;
    width: 150%;
    height: 1px;
    background-color: #f5f4f5;
    z-index: -1;
}

.job-item:hover .time,
.job-item:hover .time:after {
    //opacity: 0;
}

.job-item .time p {
    font-size: 11px;
    color: #bebebe;
    line-height: 25px;
    margin-bottom: 0px;
    margin-top: 20px;
}

.job-item .btn.btn-primary,
.role .btn.btn-primary {
    border: 1px solid;
    padding: 5px 10px;
    border-radius: 4px;
    line-height: 30px;
    font-size: 10px;
}

.job-item .cat a {
    display:inline-block;
    border: 1px solid #f1592a;
    color: #f1592a;
    padding: 5px 10px;
    border-radius: 4px;
    line-height: 15px;
    font-size: 10px;
    margin-bottom: 5px;
}

.job-item .cat a.categoriaPrincipale {
    color: white;
    background-color: #008def;
    border-color: #008def;
}

.job-item .cat a.altreCategorie {
    color: #008def;
    border-color: #008def;
}

.job-item .item-overlay {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    border-radius: 20px;
    background-color: var(--lighter-blu-01);
    color: #fff;
    opacity: 0;
    -webkit-transition: all 800ms;
    -moz-transition: all 800ms;
    -ms-transition: all 800ms;
    -o-transition: all 800ms;
    transition: all 800ms;
}


/*.job-item:hover .item-overlay {
    opacity: 1;
}
*/

.item-overlay .job-info {
    padding: 30px 25px 25px;
    overflow: hidden;
    position: relative;
}

.item-overlay .btn.btn-primary {
    background-color: #007bd4;
    border-color: #007bd4;
    margin-bottom: 10px;
}

.item-overlay .job-info,
.item-overlay .job-info ul li,
.item-overlay .job-info ul li i,
.item-overlay .job-info .tr-title a {
    color: #fff;
}

.job-social {
    margin-top: 35px;
    align-self: flex-end; /* Allinea al fondo */
}

.job-social li {
    float: left;
}

.job-social li + li {
    margin-left: 15px;
}

.job-social li a i {
    margin-right: 0;
    font-size: 14px;
}

.job-social li a {
    width: 35px;
    height: 35px;
    text-align: center;
    display: block;
    background-color: #007bd4;
    line-height: 35px;
    border-radius: 100%;
    border: 1px solid #007bd4;
    position: relative;
    overflow: hidden;
    z-index: 1;
}

.job-social li a {
    background-color: #fff;
}

.job-social li a i {
    color: #008def;
}

.job-social li a:before {
    position: absolute;
    content: "";
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    z-index: -1;
    border-radius: 100%;
    background-color:#2f80ed;
    -webkit-transform: scale(0);
    -moz-transform: scale(0);
    -ms-transform: scale(0);
    transform: scale(0);
}

.job-social li a:hover:before {
    -webkit-transform: scale(1);
    -moz-transform: scale(1);
    -ms-transform: scale(1);
    transform: scale(1);
    padding: 5px;
}

.job-social li a:hover {
    border-color: #fff;
}

.job-social li a:hover i {
    color: #fff;
}

.tr-list {
    margin: 0;
    padding: 0;
    list-style: none;
}

.offerta{
    background-color: #00c5e5;
    border-color: #00c5e5;
}
.richiesta{
    background-color: #f950c6;
    border-color: #f950c6;
}
.evento{
    background-color: #ffa500;
    border-color: #ffa500;
}

.fc-direction-ltr .fc-daygrid-event.fc-event-end{
    margin-right: 10px;
}

.fc-direction-ltr .fc-daygrid-event.fc-event-start{
    margin-left: 10px;
}

.fc-event{
    padding: 2px 10px;
    text-transform: capitalize;
    border-radius: 5px;
}



@media (max-width: 768px) {
    .fc-daygrid-event{
        font-size:10px;
    }

    .fc-event{
        padding: 2px 5px;
    }

}
@media (max-width: 468px) {
    .nav-tabs a span {
        display: none; /* Nascondi il testo in mobile */
    }

    .tipo-annuncio{
        display: block;
    }

    .job-tab .nav-tabs{
        margin-bottom: 10px;
    }

    .job-tab .nav-tabs li{
        margin: 25px;
    }

    .job-tab .nav-tabs > li a {
        display: inline-block;
        background-color: #fff;
        border: none;
        border-radius: 20px;
        font-size: 14px;
        color: #000;
        padding: 15px 15px;

    }

    .job-tab .nav-tabs::after {
        top:43%;
    }

}
@media (min-width: 469px) {
    .nav-tabs a span {
        display: inline; /* Mostra il testo*/
    }

    .tipo-annuncio{
        display: none;
    }

    .job-tab .nav-tabs{
        margin-bottom: 30px;
    }

    .job-tab .nav-tabs li{
        margin: 10px;
    }

    .job-tab .nav-tabs > li a {
        display: inline-block;
        background-color: #fff;
        border: none;
        border-radius: 30px;
        font-size: 14px;
        color: #000;
        padding: 5px 30px;

    }
    .job-tab .nav-tabs::after {
        top:50%;
    }
}

.company-logo{
    height: 70px;
    width:100%
}

.card-annuncio{
    border-radius: 20px;
}

.color-offerta{
    background-color: #b0c4de;
}
.color-richiesta{
    background-color: #e1a3bb;
}
.color-evento{
    background-color: #c8e1a3;
}


/*CALENDARIO*/
.fc {
    width: 100% !important; /* Assicura che il calendario utilizzi il 100% della larghezza del contenitore */
}

.fc-view-container {
    overflow: hidden; /* Nasconde le barre di scroll */
}

/* Media query per schermi piccoli */
@media (max-width: 768px) {
    .fc {
        height: auto; /* Imposta un'altezza automatica per il calendario */
    }
}

@media (max-width: 768px) {
    .fc-header-toolbar {
        display: flex;
        justify-content: space-between; /* Spazia i chunk su tutta la larghezza */
        flex-wrap: wrap; /* Permette ai chunk di andare su più righe */
        width: 100%; /* Assicura che la toolbar occupi il 100% della larghezza */
    }

    .fc-toolbar-chunk {
        flex: 1 1 auto; /* Consente ai chunk di adattarsi alla larghezza */
    }

    .fc-toolbar-chunk:first-child {
        flex: 1 0 100%; /* Garantisce che il primo chunk occupi 100% */
        text-align: center; /* Centra il titolo del mese */
        margin-bottom: 20px;
    }

    .fc-toolbar-chunk:nth-child(2) {
        text-align: left; /* Allinea il secondo chunk a sinistra */
        flex: 0 1 auto; /* Rende il secondo chunk di dimensioni automatiche */
    }

    .fc-toolbar-chunk:nth-child(3) {
        text-align: right; /* Allinea il terzo chunk a destra */
        flex: 0 1 auto; /* Rende il terzo chunk di dimensioni automatiche */
    }

}

.fc-daygrid, .fc-view{
    background-color: white;
}
.fc-toolbar-title{
    text-transform: capitalize;
}
.fc .fc-button-primary:not(:disabled).fc-button-active{
    background-color: #2f80ed;
    border-color: #2370d7;
}
.fc .fc-button-primary {
    background-color: var(--darker-blu);
    border-color: var(--fc-button-border-color);
}
.bg-light-gray {
    background-color: #f7f7f7;
}
.table-bordered thead td, .table-bordered thead th {
    border-bottom-width: 2px;
}
.table thead th {
    vertical-align: bottom;
    border-bottom: 2px solid #dee2e6;
}
.table-bordered td, .table-bordered th {
    border: 1px solid #dee2e6;
}


.bg-sky.box-shadow {
    box-shadow: 0px 5px 0px 0px #00a2a7
}

.bg-orange.box-shadow {
    box-shadow: 0px 5px 0px 0px #af4305
}

.bg-green.box-shadow {
    box-shadow: 0px 5px 0px 0px #4ca520
}

.bg-yellow.box-shadow {
    box-shadow: 0px 5px 0px 0px #dcbf02
}

.bg-pink.box-shadow {
    box-shadow: 0px 5px 0px 0px #e82d8b
}

.bg-purple.box-shadow {
    box-shadow: 0px 5px 0px 0px #8343e8
}

.bg-lightred.box-shadow {
    box-shadow: 0px 5px 0px 0px #d84213
}


.bg-sky {
    background-color: #02c2c7
}

.bg-orange {
    background-color: #e95601
}

.bg-green {
    background-color: #5bbd2a
}

.bg-yellow {
    background-color: #f0d001
}

.bg-pink {
    background-color: #ff48a4
}

.bg-purple {
    background-color: #9d60ff
}

.bg-lightred {
    background-color: #ff5722
}

.padding-15px-lr {
    padding-left: 15px;
    padding-right: 15px;
}
.padding-5px-tb {
    padding-top: 5px;
    padding-bottom: 5px;
}
.margin-10px-bottom {
    margin-bottom: 10px;
}
.border-radius-5 {
    border-radius: 5px;
}

.margin-10px-top {
    margin-top: 10px;
}
.font-size14 {
    font-size: 14px;
}

.text-light-gray {
    color: #d6d5d5;
}
.font-size13 {
    font-size: 13px;
}

.table-bordered td, .table-bordered th {
    border: 1px solid #dee2e6;
}
.table td, .table th {
    padding: .75rem;
    vertical-align: top;
    border-top: 1px solid #dee2e6;
}
/*---------------------CALENDARIO*/
